List content sources
1 min
GET
/_cms/v1/contentsources
Query Parameters
- pageIndexinteger<int32>DescriptionFormatint32Minimum0Maximum10000
- pageSizeinteger<int32>DescriptionFormatint32Minimum1Maximum10000
Responses
200
- ContentSourcePageDescription
- itemsContentSource[]Description
- keystringDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- typestringrequiredDescriptionMin Length1Max Length50
- sourceKeystringrequiredDescriptionMin Length1Max Length50
- sourceTypestringrequiredDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- baseTypestring<_page | _component | _media | _image | _video | _folder | _experience | _section | _element>requiredDescriptionAllowed_page_component_media_image_video_folder_experience_section_element
- propertyMappingsPropertyMappingsrequiredDescription
- keystringDescriptionMax Length255
- displayNamestringDescriptionMax Length255
- keyFormatstringDescriptionPattern^digits$|^digitsWithHyphens$|^digitsWithHyphensAndBraces$|^digitsWithHyphensAndParentheses$|^digitsWithThreeHyphens$|^undefined$
- pageIndexinteger<int32>DescriptionFormatint32
- pageSizeinteger<int32>DescriptionFormatint32
- totalCountinteger<int32>DescriptionFormatint32
401
403
500
curl
curl --request GET \
--url /_cms/v1/contentsources \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/_cms/v1/contentsources", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_cms/v1/contentsources")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_cms/v1/contentsources"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"items": [
{
"key": "",
"type": "",
"sourceKey": "",
"sourceType": "",
"displayName": "",
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": "",
"baseType": "",
"propertyMappings": {
"key": "",
"displayName": "",
"keyFormat": ""
}
}
],
"pageIndex": "",
"pageSize": "",
"totalCount": ""
}401
// Unauthorized
403
// Forbidden
500
// Internal Server Error